package com.hzs.bonus.detail.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hzs.common.domain.member.detail.CuRegionAssessDetail;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 新零售会员区域考核明细表 Mapper 接口
 */
public interface CuRegionAssessDetailMapper extends BaseMapper<CuRegionAssessDetail> {

    /*
     *  考核开始日期
     **/
    void deleteAssessRegionDetailByDate(@Param("assessStartDate") Date assessStartDate, @Param("assessPeriod") Integer assessPeriod);

    /*
     *  删除重复的数据
     **/
    void updateAssessRegionDetailByDate(@Param("assessStartDate") Date assessStartDate, @Param("assessEndDate") Date assessEndDate);

    /**
     * 批量生成考核明细seq
     *
     * @param rowNum
     * @return
     */
    List<Long> batchQueryCuRegionAssessDetailSeq(Integer rowNum);

    /*
     *  批量插入区域考核数据
     **/
    void batchInsertCuRegionAssessDetail(@Param("cuRegionAssessDetailList") List<?> cuRegionAssessDetailList);

    /*
     *  根据上月数据更新考核明细数据
     **/
    void mergeCuRegionAssessDetailTeamPv(@Param("rangeTableName") String rangeTableName, @Param("assessDate") Date assessDate);

    /*
     *  根据上月数据更新考核明细数据
     **/
    void mergeCuRegionAssessDetailSmallAreaPv(@Param("rangeTableName") String rangeTableName, @Param("assessDate") Date assessDate);

    /*
     *  初始化考核，先置为考核失败
     **/
    void updateCuRegionAssessDetailInit(@Param("assessDate") Date assessDate);

    /*
     *  根据月后业绩考核，汇总满足30w，小区10w
     **/
    void updateCuRegionAssessDetailByPv(@Param("assessDate") Date assessDate);

}
